Anyway to use the newest iPod Touch with Tiger?

Discussion in 'iPod touch' started by Link2999, Oct 19, 2010.

  1. Link2999 macrumors 6502

    Jul 12, 2008
    Apparently the new iPod Touch needs Leopard or higher now to run with iTunes 10.x. Right now my cousin just got her first iPod Touch, but only has a Tiger OS. At the moment she's just using the iPod to download her music and apps directly (without the need for iTunes), but is there any free way to maybe emulate Leopard on Tiger or iTunes 10 on Tiger? Just wondering.
  2. Giuly macrumors 68040


    If it's an IntelMac, install Snow Leopard. Else install Leopard.
  3. neonkru macrumors regular

    Nov 3, 2009
  4. old-wiz macrumors G3

    Mar 26, 2008
    West Suburban Boston Ma
    This only works for an Intel Mac. It's quite likely the cousin has PPC.
  5. Skyhigh223 macrumors regular

    Jul 21, 2009

Share This Page